Skip to main content
DELETE
/
v5
/
accountant
/
teammate
Delete a teammate
curl --request DELETE \
  --url https://sandbox.hurdlr.com/rest/v5/accountant/teammate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "id": 123,
  "userId": "<string>"
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
id
integer<int64>

Id of the teammate. This or userId are required to delete a teammate.

userId
string

Id of the teammate in your DB. This or id are required to delete a teammate.

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object